{#
   Plantilla base con el esqueleto basico de la aplicacion
   Autor: Luis Malquin (luisor_mlt@hotmail.com)
#}

{% extends 'CoreGUIBundle::base_app.html.twig' %}
{% from 'CoreGUIBundle::flash.html.twig' import session_flash %}

{% block body_tag %}
<body class='no-skin'>
{% endblock body_tag %}
{% block navbar %}
    <div id="navbar" class="navbar navbar-default">
        <script type="text/javascript">
            try{ace.settings.check('navbar' , 'fixed')}catch(e){}
        </script>
        <div class="navbar-container" id="navbar-container">
            {% block menu_toggler %}
                <button type="button" class="navbar-toggle menu-toggler pull-left" id="menu-toggler" data-target="#sidebar">
                    <span class="sr-only">Toggle sidebar</span>

                    <span class="icon-bar"></span>

                    <span class="icon-bar"></span>

                    <span class="icon-bar"></span>
                </button>
                <!--<button class="pull-right navbar-toggle navbar-toggle-img collapsed" type="button" data-toggle="collapse" data-target=".navbar-buttons">
                <span class="sr-only">Toggle user menu</span>
                <img src="{#{asset('bundles/demo/avatars/user.jpg')}#}" alt="Foto" />
             </button>-->
            {% endblock menu_toggler %}
            {% block navbar_container %}

                {%block navbar_left %}
                    <div class="navbar-header pull-left">
                        {%block navbar_left_content %}
                            <a href="#" class="navbar-brand">
                                <small>
                                    MSP Admin
                                </small>
                            </a>
                        {%endblock navbar_left_content %}
                    </div>
                {%endblock navbar_left %}

                {% block navbar_buttons_right %}

                    <div class="navbar-buttons navbar-header pull-right" role="navigation">
                        {% block navbar_buttons_right_content %}
                            <ul class="nav ace-nav">
                                <li class="light-blue">
                                    <a data-toggle="dropdown" href="#" class="dropdown-toggle">
                                        <!--<img class="nav-user-photo" src="assets/avatars/user.jpg" alt="Jason's Photo" />-->
                                        <span class="user-info">
                                                            <small>Bienvenido,</small>
                                            {% block navbar_buttons_content_username %}
                                                User
                                            {% endblock navbar_buttons_content_username %}
                                                    </span>

                                        <i class="ace-icon fa fa-caret-down"></i>
                                    </a>

                                    <ul class="user-menu dropdown-menu-right dropdown-menu dropdown-yellow dropdown-caret dropdown-close">
                                        <li>
                                            <a href="#">
                                                <i class="ace-icon fa fa-cog"></i>
                                                Configuración
                                            </a>
                                        </li>

                                        <li>
                                            <a href="#">
                                                <i class="ace-icon fa fa-user"></i>
                                                Perfil
                                            </a>
                                        </li>

                                        <li class="divider"></li>

                                        <li>
                                            <a href="#">
                                                <i class="ace-icon fa fa-power-off"></i>
                                                Cerrar sesión
                                            </a>
                                        </li>
                                    </ul>
                                </li>
                            </ul>
                        {% endblock navbar_buttons_right_content %}
                    </div>
                {% endblock navbar_buttons_right%}

            {% endblock navbar_container %}
        </div>
    </div>
{% endblock navbar %}

{% block container %}
    <div class="main-container" id="main-container">
        <script type="text/javascript">
            try{ace.settings.check('main-container' , 'fixed')}catch(e){}
        </script>
        {% block container_content %}

            {%block sidebar_right %}

            {%endblock sidebar_right %}

            {% block sidebar %}
                <div id="sidebar" class="sidebar responsive">
                    <script type="text/javascript">
                        try{ace.settings.check('sidebar' , 'fixed')}catch(e){}
                    </script>
                    {% block sidebar_content %}
                        <div class="sidebar-shortcuts" id="sidebar-shortcuts">
                        </div>
                    {% block sidebar_nav_list %}
                        <ul class="nav nav-list">
                            {% block sidebar_nav_list_content %}
                                <li class="active">
                                    <a href="#">
                                        <i class="menu-icon fa fa-tachometer"></i>
                                        <span class="menu-text"> Dashboard </span>
                                    </a>
                                    <b class="arrow"></b>
                                </li>
                            {% endblock sidebar_nav_list_content %}
                        </ul>

                    {% endblock sidebar_nav_list %}
                        <div class="sidebar-toggle sidebar-collapse" id="sidebar-collapse">
                            <i class="ace-icon fa fa-angle-double-left" data-icon1="ace-icon fa fa-angle-double-left" data-icon2="ace-icon fa fa-angle-double-right"></i>
                        </div>
                        <script type="text/javascript">
                            try{ace.settings.check('sidebar' , 'collapsed')}catch(e){}
                        </script>
                    {% endblock sidebar_content %}
                </div>
            {% endblock sidebar %}

            {% block main_content %}
                <div class="main-content">
                    {%block main_content_inner %}
                        <div class="main-content-inner">

                            {% block siderbar_h %}

                            {% endblock siderbar_h %}

                            {%block bradcrumbs %}
                                <div class="breadcrumbs" id="breadcrumbs">
                                    <script type="text/javascript">
                                        try{ace.settings.check('breadcrumbs' , 'fixed')}catch(e){}
                                    </script>
                                    {%block bradcrumbs_content %}
                                        <ul class="breadcrumb">
                                            <li>
                                                <i class="ace-icon fa fa-home home-icon"></i>
                                                <a href="#">Home</a>
                                            </li>
                                            <li class="active">Dashboard</li>
                                        </ul><!-- /.breadcrumb -->
                                    {%endblock bradcrumbs_content %}
                                </div>
                            {%endblock bradcrumbs %}

                            {%block page_content %}
                                <div class="page-content">
                                    {%block page_settings %}
                                    {%endblock page_settings %}
                                    {%block page_header %}
                                        <div class="page-header">
                                            {%block page_header_content %}
                                                <h1>
                                                    Dashboard
                                                    <small>
                                                        <i class="ace-icon fa fa-angle-double-right"></i>
                                                        Página Inicio
                                                    </small>
                                                </h1>
                                            {%endblock page_header_content %}
                                        </div>
                                    {%endblock page_header %}
                                    {%block page_main %}
                                        <div class="row">

                                            <div class="col-xs-12">
                                                {%block alerts %}
                                                    {% if app.session.flashbag.peekAll|length > 0 %}
                                                        {{ session_flash(true) }}
                                                    {% endif %}
                                                {%endblock alerts %}
                                                {%block page_main_content %}
                                                {%endblock page_main_content %}
                                            </div>
                                        </div>
                                    {%endblock page_main %}
                                </div>
                            {%endblock page_content %}

                        </div>
                    {%endblock main_content_inner %}
                </div>
            {%endblock main_content %}
            {%block footer %}
                <div class="footer">
                    <div class="footer-inner">
                        <div class="footer-content">
                            {%block footer_content %}
                                <div class="row">
                                    <img src="{{asset("bundles/coregui/app/images/logorpis.png")}}" style="height:32px; width: 116px; padding-right: 5px;"/>
                                </div>
                                <span class="bigger-100"><span style="color: #2971AF; font-weight: normal;">Ministerio de Salud Pública </span> &copy; 2016</span>
                            {%endblock footer_content %}
                        </div>
                    </div>
                </div>
            {%endblock footer %}
            <a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
                <i class="ace-icon fa fa-angle-double-up icon-only bigger-110"></i>
            </a>
        {% endblock container_content %}

    </div>
{% endblock container %}

{% block foot_script %}

    {{ parent() }}


    <script type="text/javascript">

        $(function(){
            //la función del título de diálogo para permitir  títulos HTML en dialog ui
            $.widget("ui.dialog", $.extend({}, $.ui.dialog.prototype, {
                _title: function(title) {
                    var $title = this.options.title || '&nbsp;';
                    if( ("title_html" in this.options) && this.options.title_html == true )
                        title.html($title);
                    else title.text($title);
                }
            }));


            $('[data-rel=tooltip]').tooltip();
            $('[data-rel=popover]').popover({html:true});
            $.ajaxSetup({
                timeout: 60000,
                error: function( jqXHR, textStatus, errorThrown ) {

                    if (jqXHR.status == 401) {
                        location.href='{{ path('app_logout', {'timeout': 1}) }}';
                    }
//                    else if (jqXHR.status === 0) {
//                        $.alert('No hay conexión: Verificar la red.', 'danger');
//                    }
                    else if (jqXHR.status == 400) {
                        $.alert(jqXHR.responseText, 'danger');
                    }
                    else if (jqXHR.status == 404) {
                        $.alert('Página solicitada no encontrada [404]', 'danger');
                    }
                    else if (jqXHR.status == 500) {
                        $.alert('Internal Server Error [500].', 'danger');
                    }
                    else if (jqXHR.status == 503) {
                         location.href='{{ path('app_logout') }}';
                    }
                    else if (textStatus === 'parsererror') {
                        $.alert('No se obtuvo el formato correcto de respuesta.', 'danger');
                    }
                    else if (textStatus === 'timeout') {
                        $.alert('Se ha superado el tiempo de respuesta desde el servidor.', 'danger');
                    }
                    else if (textStatus === 'abort') {
//                        $.alert('Petición ajax cancelada.', 'danger');
                    }
                    else {
//                        $.alert('Error desconocido: ' + jqXHR.responseText);
                    }

                }

            });



        });


    </script>
{% endblock foot_script %}
